require 'rack'
require 'cas/client/middleware'
require 'cas/client/response'
require 'cas/client/server'
require 'cas/client/url'
require 'cas/client/version'
require 'cas/client/configuration'

module Cas
  module Client
    class << self
      attr_accessor :configuration

      def configure
        self.configuration ||= Configuration.new
        yield configuration
      end
    end
  end
end
